Skip to content

Day end balance query

  • Endpoint: POST /aggregate-pay/api/gateway/dayEndBalanceQuery
  • Tags: Fund Account(Old)

Description

returns the balance information under the specified date and time zone

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.3
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNoMerchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.accountCurrencystringNomaxLength: 33-digit currency code in accordance with ISO 4217 When no currency is specified, returns All
data.accountTypearray[string]No-ACQUIRING Available Balance Account -DISBURSEMENT Available Balance Account When no account type is specified, returns All
data.inquiryDatestringYesmaxLength: 32Support query for nearly 90 days
data.timezonestringYesmaxLength: 32Time zone is currently only supported (UTC, CST).Case-insensitive

Example

json
{
  "version": "1.3",
  "keyVersion": "1",
  "requestTime": "{{requestTime}}",
  "appId": "f79e7cd18fbc43e3a085adab88b9d61f",
  "merchantNo": "SP12106963",
  "data": {
    "accountCurrency": "usd",
    "accountType": [],
    "inquiryDate": "2023-06-20",
    "timezone": "utc"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYes
data.timezonestringYesmaxLength: 32Time zone is currently only supported (UTC, CST).
data.acctTimestringYesmaxLength: 63The time of the corresponding balance conforms to RFC3339 specification, format: yyyy-mm-dd’T’HH:mm:ss. SSSXXX
data.accountEndDayTimeTypesarray[object]Yesthe type of account queried
data.accountEndDayTimeTypes[].inflowAmountnumber (20,2)YesPeriod outflow amount The amount of inflow during the day
data.accountEndDayTimeTypes[].initalBalancenumber (20,2)YesOpening balance
data.accountEndDayTimeTypes[].endBalancenumber (20,2)YesClosing balance Calculation Formula: endBalance = initalBalance + inflowAmount - outflowAmount
data.accountEndDayTimeTypes[].accountTypestringYesmaxLength: 32Account Type
data.accountEndDayTimeTypes[].currencystringYesmaxLength: 333-digit currency code in accordance with ISO 4217 When no currency is specified, all currencies with balances greater than 0 are returned
data.accountEndDayTimeTypes[].outflowAmountnumber (20,2)YesPeriod inflow amount The amount of outflow during the day
data.errorCodestringYesmaxLength: 32
data.errorMsgstringYesmaxLength: 256
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "acctTime": "2023-02-20",
    "timezone": "CST",
    "accountEndDayTimeTypes": [
      {
        "inflowAmount": 0,
        "initalBalance": 43820,
        "endBalance": 33820,
        "accountType": "DISBURSEMENT",
        "currency": "IDR",
        "outflowAmount": 10000
      },
      {
        "inflowAmount": 0,
        "initalBalance": 0,
        "endBalance": 0,
        "accountType": "DISBURSEMENT",
        "currency": "EGP",
        "outflowAmount": 0
      },
      {
        "inflowAmount": 0,
        "initalBalance": 0,
        "endBalance": 0,
        "accountType": "DISBURSEMENT",
        "currency": "MYR",
        "outflowAmount": 0
      },
      {
        "inflowAmount": 0,
        "initalBalance": 0,
        "endBalance": 0,
        "accountType": "DISBURSEMENT",
        "currency": "PHP",
        "outflowAmount": 0
      }
    ]
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.